VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Public Member Functions | Public Attributes | List of all members
CPoint Struct Reference

Point structure. More...

`#include <cpoint.h>`

## Public Member Functions
constexpr | CPoint ()=default
constexpr | CPoint (CCoord x, CCoord y)
CPoint & | operator() (CCoord _x, CCoord _y)
constexpr bool | operator!= (const CPoint &other) const
constexpr bool | operator== (const CPoint &other) const
CPoint & | operator+= (const CPoint &other)
CPoint & | operator-= (const CPoint &other)
CPoint & | operator*= (double factor)
CPoint & | operator/= (double factor)
constexpr CPoint | operator+ (const CPoint &other) const
constexpr CPoint | operator- (const CPoint &other) const
constexpr CPoint | operator* (double factor) const
constexpr CPoint | operator/ (double factor) const
constexpr CPoint | operator- () const
CPoint & | offset (const CCoord c)
CPoint & | offset (const CCoord _x, const CCoord _y)
CPoint & | offset (const CPoint &other)
CPoint & | offsetInverse (const CPoint &other)
CPoint & | makeIntegral ()

## Public Attributes
CCoord | x {0.}
CCoord | y {0.}

## Detailed Description

Point structure.

## Constructor & Destructor Documentation

## ◆ CPoint() [1/2]

constexpr CPoint | ( |  | ) |
| constexpr default

## ◆ CPoint() [2/2]

constexpr CPoint | ( | CCoord | x,
|  | CCoord | y
| ) |  |
| inline constexpr

## Member Function Documentation

## ◆ makeIntegral()

CPoint & makeIntegral | ( |  | ) |
| inline

## ◆ offset() [1/3]

CPoint & offset | ( | const CCoord | _x,
|  | const CCoord | _y
| ) |  |
| inline

## ◆ offset() [2/3]

CPoint & offset | ( | const CCoord | c | ) |
| inline

## ◆ offset() [3/3]

CPoint & offset | ( | const CPoint & | other | ) |
| inline

## ◆ offsetInverse()

CPoint & offsetInverse | ( | const CPoint & | other | ) |
| inline

## ◆ operator!=()

constexpr bool operator!= | ( | const CPoint & | other | ) | const
| inline constexpr

## ◆ operator()()

CPoint & operator() | ( | CCoord | _x,
|  | CCoord | _y
| ) |  |
| inline

## ◆ operator*()

constexpr CPoint operator* | ( | double | factor | ) | const
| inline constexpr

## ◆ operator*=()

CPoint & operator*= | ( | double | factor | ) |
| inline

## ◆ operator+()

constexpr CPoint operator+ | ( | const CPoint & | other | ) | const
| inline constexpr

## ◆ operator+=()

CPoint & operator+= | ( | const CPoint & | other | ) |
| inline

## ◆ operator-() [1/2]

constexpr CPoint operator- | ( |  | ) | const
| inline constexpr

## ◆ operator-() [2/2]

constexpr CPoint operator- | ( | const CPoint & | other | ) | const
| inline constexpr

## ◆ operator-=()

CPoint & operator-= | ( | const CPoint & | other | ) |
| inline

## ◆ operator/()

constexpr CPoint operator/ | ( | double | factor | ) | const
| inline constexpr

## ◆ operator/=()

CPoint & operator/= | ( | double | factor | ) |
| inline

## ◆ operator==()

constexpr bool operator== | ( | const CPoint & | other | ) | const
| inline constexpr

## Member Data Documentation

## ◆ x

CCoord x {0.}

## ◆ y

CCoord y {0.}

The documentation for this struct was generated from the following file:

- cpoint.h